<h1>Project: pm.cmdb - poor man cmdb!</h1>

<div>
<article>
<div>

<h1><a id="readme" class="anchor" href="#readme" aria-hidden="true"></a>README</h1>

<p>
Author: Alexander Schiessl<br>
Date: 2015/10<br>
Version: 0.0.5<br>
<br>
Copyright: <br>
Alexander Schiessl, arjs.net<br>
<br>
Web:<br> 
<a href="https://arjs.net-public.gitlab.io/pm.cmdb.pages/" rel="nofollow noreferrer">https://arjs.net-public.gitlab.io/pm.cmdb.pages/</a><br>
<a href="http://arjs.net" rel="nofollow noreferrer">http://arjs.net</a><br>
<br>
License:<br>
Unlicense, <a href="http://unlicense.org" rel="nofollow noreferrer">http://unlicense.org</a><br>
<br>
Description:<br>
A simple cmdb command line tool for a poor man cmdb.</p>
<br>
<h2>
<a id="usage" href="#usage" aria-hidden="true"></a>Usage:</h2>

<p>
help:
cmdb -h
</p>

<p>
Create new cmdb folder:
cmdb create -o "path to cmdb folder" -j "path to json file"
</p>

<p>
Create new key/value:
cmdb create -o "path to cmdb folder" -K key -V value
</p>

<p>
Create new structure:
cmdb create -o "path to cmdb folder" -K key -j "path to json strucrure"
</p>

<p>
Get all:
cmdb get -i "path to cmdb folder"
</p>

<p>
Get key value:
cmdb get -i "path to cmdb folder" -K key
</p>

<p>
Get key structure:
cmdb get -i "path to cmdb folder" -K "path to key"
</p>

<p>
Put key structure:
cmdb put -i "path to cmdb folder" -K key -j "path to json structure"
</p>

<p>
Put key/value:
cmdb put -i "path to cmdb folder" -K key -V value
</p>

<p>
Dump all:
cmdb dump -i "path to cmdb folder" -o "path to output" -f "output file name"
</p>

<h2><a id="intention" class="anchor" href="#intention" aria-hidden="true"></a>Intention:</h2>

<p>
Background for this program was simple, I wanted to try a new way to do a configuration.
Usually you put everything in a DB or in files. And then you find ways to version it or make it work
with more environments. Find a way to retrieve or set/change values. And I thought there are
enough solutions out there. I wanted to try the idea of unix. Everything is a file.
</p>

<p>
So I created a solution which can take a json file with key/value, key/list or key/structure and creates a
folder/file structure in the file system. So you can use normal file/folder check or methods. Or put a webserver
on top of it and access it via web interface.
</p>

<h2><a id="to-do" href="#to-do" aria-hidden="true"></a>To Do:</h2>

<ul>
<li>Maybe include a simple Flask server</li>
<li>Optimize code and make it more pythonmatic</li>
</ul>

</div>
</article>
</div>
